Skip to main content

Cancel all Open Orders on a Symbol

Response

[
{
"symbol": "BTCUSDT",
"origClientOrderId": "E6APeyTJvkMvLMYMqu1KQ4",
"orderId": 11,
"orderListId": -1,
"clientOrderId": "pXLV6Hz6mprAcVYpVMTGgx",
"price": "0.089853",
"origQty": "0.178622",
"executedQty": "0.000000",
"cummulativeQuoteQty": "0.000000",
"status": "CANCELED",
"type": "LIMIT",
"side": "BUY"
},
{
"symbol": "BTCUSDT",
"origClientOrderId": "A3EF2HCwxgZPFMrfwbgrhv",
"orderId": 13,
"orderListId": -1,
"clientOrderId": "pXLV6Hz6mprAcVYpVMTGgx",
"price": "0.090430",
"origQty": "0.178622",
"executedQty": "0.000000",
"cummulativeQuoteQty": "0.000000",
"status": "CANCELED",
"type": "LIMIT",
"side": "BUY"
}
]
  • DELETE /api/v3/openOrders

Permission: SPOT_DEAL_WRITE

Rate limit: Shared with the place order endpoint, 12 requests/second

Cancel all pending orders for a single symbol, including OCO pending orders.

Parameters:

NameTypeMandatoryDescription
symbolstringYES
recvWindowlongNO
timestamplongYES

Response:

NameDescription
symbolSymbol
origClientOrderIdOriginal client order id
orderIdorder id
clientOrderIdclient order id
pricePrice
origQtyOriginal order quantity
executedQtyExecuted order quantity
cummulativeQuoteQtyCummulative quote quantity
statusENUM: Order Status
typeENUM: Order Type
sideENUM: Order Side